## Make Legal R Names Out of Strings

## Usage

    make.names(names, unique=FALSE)

## Arguments

`names` | character (vector) to be coerced to proper names.
`unique` | logical; if `TRUE`, the resulting strings are unique. This may be desired for, e.g., column names.

## Description

Make legal R names out of every `names[i]` string. Invalid characters are translated to `"."`.

## Value

character vector of same length as `names` with each changed to a legal name.

## See Also

`names`,`character`,`data.frame`

## Examples

    make.names(c("a and b", "a_and_b"), unique=TRUE)#-> "a.and.b"  "a.and.b1"

    all(make.names(letters) == letters)# TRUE

    data(state)
    state.name[make.names(state.name) != state.name]# those 10 with a space

[Package Contents]